Subject: Re: [PATCH] Make it possible to run git archive --remote without a git directory.

From: René Scharfe <[email-masked]>
Date: Fri, 06 Apr 2007 01:21:16 +0200

Simon Hausmann schrieb:
> On Thursday 05 April 2007 10:12:37 Simon Hausmann wrote:
> [...]
> 
> Sorry, for replying to my own mail, but attached is a revised patch that also 
> allows --list to work without a git dir, as pointed out by Jeff Garzik.
> 
> Would be nice if the patch could be applied to git :)

Oh, saw your patch just now -- of course only _after_ I sent mine.
Still, I like my patch better because it reverts the code to a known
good version and it adds a test case.  And maybe a little bit because
it's mine. ;-)

I forgot addressing the 'git-archive --remote' case, though.  The code
is fine (i.e. --remote works outside a repo with the patch applied), but
a test case for that is missing.  Care to provide this missing piece on
top of my patch?

Thanks,
René